Subject: [Diffserv-interest] how to treat incoming traffic

From: "Andrzej Czerczak" <Andrzej_Czerczak/[email-masked]>
Date: Mon, 17 Sep 2001 12:02:40 +0200

Hi,
I know the ECN-based proposals  how to control TCP-based incoming traffic
in DiffServ architecture. Has it at the moment a practical value? Why not
to use egress TCP traffic policing?
Could you  point out on-going research how to control UDP incoming traffic
if it conforms to the customer contract (receiver-based traffic control) in
the diffserv architecture?

rgrds
Andrzej

_______________________________________________
Diffserv-interest mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv-interest

---

From: "Jeff Norman" <[email-masked]>
Date: Mon, 17 Sep 2001 13:25:19 -0400 (EDT)

Oops... forgot to include DiffServ-Int group in response... sorry.
--Jeff

---forwarded-message---->

>Subject: re:[Diffserv-interest] how to treat incoming traffic
>Date:    Sep 17 10:01 2001
>From:    "Jeff Norman" <[email-masked]>
>To:      "Andrzej Czerczak" <Andrzej_Czerczak/[email-masked]>
>
>
>Andrzej,
>  I think you may be confused with the main objective of using ECN in
>TCP flows.  The purpose of using ECN with TCP flows is to enable the
>applications to react to network congestion with their TCP window
>sizes without the need for TCP packets being dropped, which causes
>time-outs and packets being re-transmitted (using up more router and
>network resources).
>
>I would say that your statement of using egress TCP traffic policing
>would not be used in place of ECN, but instead be used with it (to
>determine the ECN of TCP packets)
>
>I have not heard of too many vendors implementing IP ECN into
>their routers, nor have I heard a big push for it by customers in
>the industry.
>
>I too would like to hear from others about what they think about
>the practical value of IP ECN.
>
>I have not heard anything about research regarding controlling UDP flows,
>but someone else may have.
>
>Best Regards,
>--Jeff
>
>In message "[Diffserv-interest] how to treat incoming traffic", you write:
>
>>Hi,